Bug 127808 - eggcups window on dual-head configuration
eggcups window on dual-head configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 00:25 EDT by Mace Moneta
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 11:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2004-07-14 00:25:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040620

Description of problem:
See similar bug 127807 for pam-panel-icon.

When running a dual-head configuration (laptop with TV-out, and each
displaying a unique X desktop), eggcups opens an empty
window (titled "LpEgg").  It also appears in the
tasklist with the same name.


Version-Release number of selected component (if applicable):
desktop-printing-0.1.10-26

How reproducible:
Always

Steps to Reproduce:
1.Configure dual-head display
2.Login
3.Observe "LpEgg" in taskbar and small window on screen.

Actual Results:  Window opens, taskbar shows "LpEgg".

Expected Results:  No window, "LpEgg" hidden from
taskbar, icon appears in system tray.

Additional info:

This is very confusing for a user.  Identifying the process for bug
reporting is difficult.
Comment 1 Colin Walters 2004-07-14 00:35:04 EDT
eggcups has been rewritten essentially entirely from scratch for FC3.
 It would be great if you could test that from rawhide (or FC3T1).
However be warned - you will need to upgrade at least your dbus
package too.
Comment 2 Mace Moneta 2004-07-14 10:45:54 EDT
Unfortunately, the dependency chain is actually quite long:

cups-1.1.21-1.rc1.2.i386.rpm       dbus-glib-0.21-10.i386.rpm
cups-libs-1.1.21-1.rc1.2.i386.rpm  desktop-printing-0.9.3-1.i386.rpm
dbus-0.21-10.i386.rpm              libstdc++-3.4.1-2.i386.rpm

And then:

error: Failed dependencies:
        libstdc++.so.5 is needed by (installed) mjpegtools-1.6.2-1.fr
        libstdc++.so.5 is needed by (installed) db4-4.2.52-3.1
        libstdc++.so.5 is needed by (installed) gmp-4.1.2-14
        libstdc++.so.5 is needed by (installed) aspell-0.50.3-19.1
        libstdc++.so.5 is needed by (installed) groff-1.18.1-34
        libstdc++.so.5 is needed by (installed) libwvstreams-3.70-13.1
        libstdc++.so.5 is needed by (installed) mysql-3.23.58-9
        libstdc++.so.5 is needed by (installed) Omni-0.9.1-6
        libstdc++.so.5 is needed by (installed) ttmkfdir-3.0.9-11
        libstdc++.so.5 is needed by (installed) ghostscript-7.07-25
        libstdc++.so.5 is needed by (installed) hpijs-1.6-1
        libstdc++.so.5 is needed by (installed) libmusicbrainz-2.0.2-7.1
        libstdc++.so.5 is needed by (installed) pilot-link-0.11.8-3.1
        libstdc++.so.5 is needed by (installed) openjade-1.3.2-11.1
        libstdc++.so.5 is needed by (installed) gnome-games-2.6.0.1-2
        libstdc++.so.5 is needed by (installed) qt-3.3.2-2
        libstdc++.so.5 is needed by (installed) arts-1.2.2-2
        libstdc++.so.5 is needed by (installed) Maelstrom-3.0.6-3
        libstdc++.so.5 is needed by (installed)
openoffice.org-libs-1.1.1-4
        libstdc++.so.5 is needed by (installed) openoffice.org-1.1.1-4
        libstdc++.so.5 is needed by (installed) vnc-server-4.0-1.beta4.11
        libstdc++.so.5 is needed by (installed) chromium-0.9.12-25
        libstdc++.so.5 is needed by (installed) tuxracer-0.61-26
        libstdc++.so.5 is needed by (installed) gpdf-0.131-2
        libstdc++.so.5 is needed by (installed) gstreamer-plugins-0.8.1-1
        libstdc++.so.5 is needed by (installed) openhbci-0.9.14-2
        libstdc++.so.5 is needed by (installed) libofx-0.6.6-1
        libstdc++.so.5 is needed by (installed) libwpd-0.7.1-1.1
        libstdc++.so.5 is needed by (installed) xpdf-3.00-3
        libstdc++.so.5 is needed by (installed) gnucash-1.8.9-1
        libstdc++.so.5 is needed by (installed) kdebase-3.2.2-4
        libstdc++.so.5 is needed by (installed) abiword-2.0.5-1
        libstdc++.so.5 is needed by (installed) nautilus-cd-burner-2.6.0-2
        libstdc++.so.5 is needed by (installed) kdegames-3.2.2-1
        libstdc++.so.5 is needed by (installed) doxygen-1.3.6-2
        libstdc++.so.5 is needed by (installed) swig-1.3.19-6.1
        libstdc++.so.5 is needed by (installed) oprofile-0.8-0.20040121.3
        libstdc++.so.5 is needed by (installed) qt-devel-3.3.2-2
        libstdc++.so.5 is needed by (installed) mysql-server-3.23.58-9
        libstdc++.so.5 is needed by (installed) nmap-3.50-3
        libstdc++.so.5 is needed by (installed) cdrdao-1.1.8-3
        libstdc++.so.5 is needed by (installed) compat-db-4.1.25-2.1
        libstdc++.so.5 is needed by (installed) festival-1.4.2-22
        libstdc++.so.5 is needed by (installed) faad2-2.0-1.1.fc2.fr
        libstdc++.so.5 is needed by (installed) kdelibs-3.2.2-6
        libstdc++.so.5 is needed by (installed) id3lib-3.8.3-6.1.fc2.fr
        libstdc++.so.5 is needed by (installed) ogmtools-1.4-1.1.fc2.fr
        libstdc++.so.5 is needed by (installed) wxGTK-2.4.2-4.1.fc2.fr
        libstdc++.so.5 is needed by (installed) rar-3.3.0-1.1.fc2.fr
        libstdc++.so.5 is needed by (installed) grip-3.2.0-2.1.fc2.fr
        libstdc++.so.5 is needed by (installed)
alsaplayer-0.99.76-2.1.fc2.fr
        libstdc++.so.5 is needed by (installed) unrar-3.3.6-1.1.fc2.fr
        libstdc++.so.5 is needed by (installed)
transcode-0.6.12-5.1.fc2.fr
        libstdc++.so.5 is needed by (installed)
sound-juicer-0.5.11-1.1.fc2.dag
        libstdc++.so.5 is needed by (installed) plucker-desktop-1.6.0.0-1
        libstdc++.so.5 is needed by (installed)
videolan-client-0.7.2-1.1.fc2.fr
        libstdc++.so.5 is needed by (installed) firefox-0.8-3.1.fc2.dag
        libstdc++.so.5 is needed by (installed) mplayerplug-in-2.66-fc2
        libstdc++.so.5 is needed by (installed) mozilla-1.7-0.2.0
        libstdc++.so.5 is needed by (installed)
xorg-x11-Mesa-libGLU-6.7.0-5
        libstdc++.so.5 is needed by (installed) fam-2.6.10-9.FC2

By the time I'm done, I'll have upgraded to FC3test1!  :-)
Comment 3 Colin Walters 2004-07-14 10:52:11 EDT
About the dependencies: not surprising I guess.  Thanks for trying
though :)

I don't have a dual head setup here so I can't really test myself.  If
you or anyone else upgrades to FC3 and can still reproduce then please
let me know.
Comment 4 Mace Moneta 2004-10-20 11:44:58 EDT
This bug is corrected in rawhide (currently FC3T3).  Resolved.
Comment 5 Bart Szyszka 2004-10-25 14:37:11 EDT
As I posted in a related bug report, this problem has *not* been
corrected. I'm using FCT3 now and am still having it. It seems as
though a change in xorg.conf (even something as simple as enabling the
damage and XComposite extensions?) can trigger gnome-panel to dump
notification-area applets into their own windows (and tasklist items).
I wish there was some kind of safetynet to prevent this from
happening, or at least an easier way for me to fix it than to delete
as many configuration files related to the panel as I can find (and
subsequently be forced to re-configure everything...).

Note You need to log in before you can comment on or make changes to this bug.